# To reduce boilerplate.
%global make_flags bindir=%{_bindir} mandir="%{_mandir}" prefix="%{_prefix}" \\\
CC=%{__cc} CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}" ENABLE_MAN=1


Name:           cc1541
Version:        3.2
Release:        4%{?dist}
Summary:        Tool for creating Commodore 1541 Floppy disk images in D64, G64, D71 or D81 format

License:        MIT
URL:            https://bitbucket.org/PTV_Claus/%{name}
Source0:        %{url}/downloads/%{name}-%{version}.tar.gz

Patch0001:      0001-Fixed-formatting-for-Readme.patch
Patch0002:      0002-Added-new-commandline-option-to-usage-line-in-comman.patch
Patch0003:      0003-Added-example-for-N-to-README.patch
Patch0004:      0004-Avoided-segfault-for-write-protected-image-files.-On.patch
Patch0005:      0005-Fix-for-wrong-printf-format-strings-unsigned-vs-sign.patch
Patch0006:      0006-Fixed-formatting-and-line-wraps.patch
Patch0007:      0007-First-version-of-Unicode-output.-Also-avoided-segfau.patch
Patch0008:      0008-Added-unicode-output-for-Windows.-Disk-name-and-id-a.patch
Patch0009:      0009-Fixed-some-warnings.patch
Patch0010:      0010-Fixed-build-buster.patch
Patch0011:      0011-Changed-all-PETSCII-output-to-use-Unicode-if-enabled.patch
Patch0012:      0012-Code-style-fixed.patch
Patch0013:      0013-Improved-commandline-help-text-for-U-added-info-to-m.patch
Patch0014:      0014-Added-a-missing-article-to-the-README.patch
Patch0015:      0015-Trying-to-fix-Umlaut-that-was-destroyed-by-bitbucket.patch
Patch0016:      0016-Use-UTF-8-for-unicode-output-on-non-windows-OS.patch
Patch0017:      0017-Added-support-for-reverse-80-9F-characters-in-filena.patch
Patch0018:      0018-Disabled-reverse-output-for-ASCII-out-added-changed-.patch
Patch0019:      0019-Fix-build-buster-for-Visual-Studio.patch
Patch0020:      0020-fix-warning-for-Windows.patch
Patch0021:      0021-Fix-for-incorrect-spacing-when-filesize-is-more-than.patch
Patch0022:      0022-README-Convert-to-UTF-8-encoding.patch

BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  make

%description
This is %{name} v%{version}, a tool for creating Commodore 1541
Floppy disk images in D64, G64, D71 or D81 format with custom
sector interleaving etc.   Also supports extended tracks 35-40
using either SPEED DOS or DOLPHIN DOS BAM-formatting.


%prep
%autosetup -S git -p 1


%build
%make_build %{make_flags}


%install
%make_install %{make_flags}


%check
%make_build check %{make_flags}


%files
%license LICENSE.txt
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Jul 20 2021 Björn Esser <besser82@fedoraproject.org> - 3.2-4
- Add a patch to fix encoding of the README file

* Mon Jul 19 2021 Björn Esser <besser82@fedoraproject.org> - 3.2-3
- Add a patchset of upstream commits for several fixes

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Oct 09 2020 Björn Esser <besser82@fedoraproject.org> - 3.2-1
- New upstream release

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Sep 03 2019 Björn Esser <besser82@fedoraproject.org> - 3.1-1
- New upstream release

* Wed Aug 28 2019 Björn Esser <besser82@fedoraproject.org> - 3.0-2
- Add an upstream patch to fix a bug

* Sun Aug 25 2019 Björn Esser <besser82@fedoraproject.org> - 3.0-1
- New upstream release

* Sun Jul 28 2019 Björn Esser <besser82@fedoraproject.org> - 2.0-3
- Add some upstream patches to improve rpm packaging

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 2019 Björn Esser <besser82@fedoraproject.org> - 2.0-1
- Initial import (#1722942)

* Fri Jun 21 2019 Björn Esser <besser82@fedoraproject.org> - 2.0-0.3
- Upstream PR has been merged

* Fri Jun 21 2019 Björn Esser <besser82@fedoraproject.org> - 2.0-0.2
- Remove pre-built binaries from build-tree during %%prep.

* Fri Jun 21 2019 Björn Esser <besser82@fedoraproject.org> - 2.0-0.1
- Initial rpm release (#1722942)
